postinst is in wmaker 0.95.5-2ubuntu1.
This file is a maintainer script. It is executed when installing (*inst) or removing (*rm) the package.
The actual contents of the file can be viewed below.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 | #!/bin/sh
set -e
# Window Maker postinst.
#
# Marcelo Magallon <mmagallo@debian.org>
# Rodolfo "kix" GarcĂa <kix@kix.es>
x_wm_link=/etc/alternatives/x-window-manager
x_wm_man_link=/usr/share/man/man1/x-window-manager.1.gz
inst="/etc/menu-methods/wmaker"
case "$1" in
configure)
for file in $inst ; do
if [ -f $file ] ; then
chmod a+x $file
fi
done
update-alternatives --install /usr/bin/x-window-manager \
x-window-manager /usr/bin/wmaker 50 \
--slave /usr/share/man/man1/x-window-manager.1.gz \
x-window-manager.1.gz /usr/share/man/man1/wmaker.1x.gz
if [ -x /usr/bin/update-menus -a -x /usr/bin/install-menu ] ; then
update-menus
fi
;;
abort-upgrade|abort-deconfigure|abort-remove)
# how did we got here? Force a non-zero exit code
exit 1
;;
*)
echo "postinst called with unkown argument: \$1" >&2
;;
esac
exit 0
|